local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function DRBFrame_OnLoad()

	-- Create SavedVariables if they don't exist already
	if DRBConfig == "" or DRBConfig == nil then
		DRBConfig = {
			["ShowLoadMessage"] = "ON",
			["OptionsWindow"] = "HIDDEN"
		}
	end
	
	if DRBIgnore == "" or DRBIgnore == nil then
		DRBIgnore = {}
	end
	
	DRBFrame:RegisterEvent("ADDON_LOADED")
	DRBFrame:RegisterEvent("DUEL_REQUESTED")
		
	-- already hidden by default, but just in case...
	DRBFrame:Hide()
	
	if DRBConfig.OptionsWindow == nil or DRBConfig.OptionsWindow == "" then
		DRBConfig.OptionsWindow = 'HIDDEN'
	end
end

function DRBFrame_OnEvent(self, event, arg1)

if event == "ADDON_LOADED" and arg1 == "DuelResponse_Blacklist" then
	if DRBConfig.ShowLoadMessage == "ON" then
		-- Show these messages in chat when the addon is loaded
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse_Blacklist"] .."]|r v" .. GetAddOnMetadata("DuelResponse_Blacklist_Classic", "Version") .. L[" loaded successfully."])
	else
		return
	end
	
	DRBConfig.OptionsWindow = 'HIDDEN'
elseif event == "DUEL_REQUESTED" then
	if has_value(DRBIgnore, arg1) == true then
		CancelDuel()
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Declined a duel from a blacklisted player: "] .. arg1 .. ".")
		increment_counters()
		
		if IsAddOnLoaded("DuelResponse_Whisper") == true then
			if DRBConfig.WhisperBlacklist == 'ON' then
				SendChatMessage("<" .. L["DuelResponse"] .. "> " .. DRBConfig.BLWhisperMsg, "WHISPER", nil, arg1)
			elseif DRBConfig.WhisperBlacklist == 'OFF' then
				return
			end
		elseif IsAddOnLoaded("DuelResponse_Whisper") == false then
			return
		end
	end
end

end

function has_value (tab, val)
    for index, value in ipairs(tab) do
        if value == val then
            return true
        end
    end

    return false
end

-- OTHER FUNCTIONS

function increment_counters()

-- Set up variables
local x = tonumber(GlobalDC)
local y = tonumber(DuelsDeclined)

-- Increment counters by 1
x = x + 1
y = y + 1

-- Save new variables
GlobalDC = x
DuelsDeclined = y

end